<body>
<div class="row">
  <div class="col-md-5">
    <div class="alert alert-success" id="success-alert"  aria-live="rude" role="alert" hidden>

      {% trans %}Unit saved.{% endtrans %}
    </div>
    <div class="alert alert-danger" id="failure-alert"  aria-live="rude" role="alert" hidden>

      {% trans %}Something went wrong!{% endtrans %}
    </div>
    <div class="alert alert-danger" id="duplicate-alert"  aria-live="rude" role="alert" hidden>

      {% trans %}Unit Already Exist!{% endtrans %}
    </div>
    <div class="alert alert-danger" id="sameUnit-alert"  aria-live="rude" role="alert" hidden>

      {% trans %}Unit and Sub Unit cannot be Same!{% endtrans %}
    </div>
    <div class="alert alert-danger" id="conversion-alert"  aria-live="rude" role="alert" hidden>

      {% trans %}Please Enter Conversion Rate!{% endtrans %}
    </div>
    <div class="alert alert-danger" id="conversion-rate-alert"  aria-live="rude" role="alert" hidden>

      {% trans %}Conversion Rate cannot be Zero!{% endtrans %}
    </div>
    <div class="alert alert-danger" id="unit-blank-alert"  aria-live="rude" role="alert" hidden>

      <label for="vno">{% trans %}Please enter Unit  name!{% endtrans %}</label>
    </div>

    <div class="panel shadow unit_panel">
      <div class="panel-body">
        <form>
          <div class="form-group">
            <label for="unit_name">{% trans %} Unit Name :{% endtrans %}</label><label for="unit_name" style="color:red;font-size: 120%;">*</label>
            <input class="form-control input-sm" id="unit_name" placeholder="{% trans %}Enter Unit name{% endtrans %}">
          </div>
          <div class="form-group">
            <label for="sub_unit_of">{% trans %}Sub Unit of :{% endtrans %}</label>
            <select class="form-control input-sm" id="sub_unit_of">
              <option value="" selected>None</option>
              {% for unitofmeasurement in gkresult %}
              <option value="{{unitofmeasurement['uomid']}}">{{unitofmeasurement["unitname"]}}</option>
              {% endfor %}
            </select>
          </div>
          <div class="form-group" id="conversion_div" hidden>
            <label for="conversion_rate">{% trans %}Conversion Rate :{% endtrans %}</label>
              <input class="form-control input-sm text-right" id="conversion_rate" aria-describedby="conversion_rate_help" placeholder=" Enter conversion rate">
          </div>
        </form>
      </div>
      <div class="panel-footer">
        <button  type="submit" class="btn btn-success btn-sm" id="unit_save" data-toggle="tooltip" data-placement="top" title="{% trans %}Press Insert to save anywhere on the current screen to save{% endtrans %}" accesskey="a">{% trans %}<i class="fa fa-floppy-o" aria-hidden="true"></i> S<u>a</u>ve{% endtrans %}</button>
        <button id="add_unit_reset" class="btn btn-warning btn-sm" accesskey="e"><i class="fa fa-refresh" aria-hidden="true"></i> {% trans %}R<u>e</u>set{% endtrans %}</button>
      </div>
    </div>

  </div>
</div>
<script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/addunitofmeasurement.js')}}"></script>
</body>
